#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import urllib
import urllib2
import urlparse
import xbmcgui
import xbmcplugin

base_url = sys.argv[0]
addon_handle = int(sys.argv[1])
args = urlparse.parse_qs(sys.argv[2][1:])

xbmcplugin.setContent(addon_handle, 'movies')

urlll = 'http://stemaj.heliohost.org/buli/buli.txt'
    
spieleSaisonspieltag = {}
linksSpiele = {}

aktuellerSpieltag = 0

for line in urllib2.urlopen(urlll):

    line = line.replace("\n","")
    
    if line.startswith("Liga"):
        # [0]  [1]             [2]
        # Liga 1.Liga(2014/15) 28
        splitted = line.split(" ")
        aktuellerSpieltag = splitted[2] + '. Spieltag ' + splitted[1]
    else:
        splitted = line.split(" ")
        str = "-"
        seq = (splitted[0], splitted[1])
        spiel = str.join(seq) 
        spieleSaisonspieltag[spiel] = aktuellerSpieltag
        linksSpiele[splitted[2]] = spiel
            
def build_url(query):
    return base_url + '?' + urllib.urlencode(query)

mode = args.get('mode', None)

if mode is None:
    
    listFolders = []
    for key, value in spieleSaisonspieltag.items():
        if (not value in listFolders):
            listFolders.append(value)
            
    for item in listFolders:
        url = build_url({'mode': 'folder', 'foldername': item})
        li = xbmcgui.ListItem(item, iconImage='DefaultFolder.png')
        xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=True)
   
    xbmcplugin.endOfDirectory(addon_handle)

elif mode[0] == 'folder':
    
    foldername = args['foldername'][0]

    spiele = []
    for key, value in spieleSaisonspieltag.items():
        if (value == foldername):
            # xbmcgui.Dialog().ok(key,value)
            spiele.append(key)
    
    for item in spiele:
        for key, value in linksSpiele.items():
            if (item == value):
                # xbmcgui.Dialog().ok(key,value)
                li = xbmcgui.ListItem(value, iconImage='DefaultVideo.png')
                xbmcplugin.addDirectoryItem(handle=addon_handle, url=key, listitem=li)
    xbmcplugin.endOfDirectory(addon_handle)
